POST
/
v1
/
projects
/
{project}
/
bases
Save a box as a new base
curl --request POST \
  --url https://api.example.com/v1/projects/{project}/bases \
  --header 'Content-Type: application/json' \
  --data '
{
  "box": "<string>",
  "name": "<string>",
  "builder": "<string>",
  "parent_alias": "<string>",
  "parent_version": "<string>",
  "script": "<string>",
  "script_sha256": "<string>"
}
'
{
  "created_at": "<string>",
  "name": "<string>",
  "size_bytes": 1,
  "version": "<string>"
}

Path Parameters

project
string
required

Project name

Body

application/json
box
string
required
name
string
required
builder
string | null
parent_alias
string | null
parent_version
string | null
script
string | null
script_sha256
string | null

Response

Base created

created_at
string
required
name
string
required
size_bytes
integer<int64>
required
Required range: x >= 0
version
string | null